-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- Inserimento nuovo [C6Mart].[GESTIONE_INSERT_ZIP] -1,'NomeFileOk','NomeFileOk'
CREATE procedure [C6MartPeriodico].[GESTIONE_SELECT_LAST_ZIP]
AS
BEGIN 
	DECLARE @IdZip AS INT
	SET @IdZip = -1
	DECLARE @NomeCartella AS VARCHAR(255)
    Declare @NomeFile    as varchar(50)
    Declare @NumeroCFZip   as int
	--recupero idzip se Esiste insieme al NomeCartella
	SELECT @IdZip=id,@NomeCartella=NomeCartella,@NomeFile =NomeFile
	FROM
		C6MartPeriodico.GESTIONE_ZIP_FTP
	WHERE
		FlagInvio = 'N'
		AND DateCopyToSend IS NULL
	-- Se la generazione file Zip è in fase di ripartenza ( FlagInvio = 'N'
	-- AND DateCopyToSend IS NULL	 ) conto il Numero dei Clienti relativo ai report già copiati
	-- nella cartella di appoggio(NomeCartella)
	IF @IdZip > -1 Begin
	 	select @NumeroCFZip=count( *)
			from (
			select distinct rete,codicefiscale
			from c6martperiodico.gestione_pdf_ftp
			where id_fk_zip=@IdZip) a
   end
	--SELECT @IdZip IdZip, @NomeCartella NomeCartella,@NomeFile
	select @IdZip IdZip,@NomeFile NomeFile,@NomeCartella NomeCartella,@NumeroCFZip  NumeroCFZip
END